import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:loginplugin/loginplugin.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  String _platformSDKINT = 'Unknown';
  String _platformBoard = 'Unknown';
  String _platformBrand = 'Unknown';
  String _platformModel = 'Unknown';
  String _platformCPUABI = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    String platformSDKINT;
    String platformBoard;
    String platformBrand;
    String platformModel;
    String platformCPUABI;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await Loginplugin.platformVersion;
      platformSDKINT = await Loginplugin.sdkInt;
      platformBoard = await Loginplugin.board;
      platformBrand = await Loginplugin.brand;
      platformModel = await Loginplugin.model;
      platformCPUABI = await Loginplugin.CPUABI;
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
      _platformSDKINT = platformSDKINT;
      _platformBoard = platformBoard;
      _platformBrand = platformBrand;
      _platformModel = platformModel;
      _platformCPUABI = platformCPUABI;

    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running on: $_platformVersion\n$_platformSDKINT\n$_platformBoard\n$_platformBrand\n$_platformModel\n$_platformCPUABI\n'),
        ),
      ),
    );
  }
}
